/****
	Speedometer, shows your current speed using GPS
	Copyright (C) 2008 Wellu Mäkinen <wellu@wellu.org>

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
****/

#include "callbacks.h"

// this is just here for debugging and tracing purposes
static void print_location(LocationGPSDevice* device) {
	g_print("Latitude: %.2f\n"
			"Longitude: %.2f\n"
			"Altitude: %.2f\n"
			"Speed: %d",
			device->fix->latitude,
			device->fix->longitude,
			device->fix->altitude,
			device->fix->speed);
}

void location_changed(LocationGPSDevice* device, gpointer userdata) {

}

gboolean key_press_cb(GtkWidget* widget, GdkEventKey* event, HildonWindow* window) {
	switch (event->keyval) {
	case GDK_Up:
		hildon_banner_show_information(GTK_WIDGET(window), NULL, "Navigation Key Up");
		return TRUE;

	case GDK_Down:
		hildon_banner_show_information(GTK_WIDGET(window), NULL, "Navigation Key Down");
		return TRUE;

	case GDK_Left:
		hildon_banner_show_information(GTK_WIDGET(window), NULL, "Navigation Key Left");
		return TRUE;

	case GDK_Right:
		hildon_banner_show_information(GTK_WIDGET(window), NULL, "Navigation Key Right");
		return TRUE;

	case GDK_Return:
		hildon_banner_show_information(GTK_WIDGET(window), NULL, "Navigation Key select");
		return TRUE;

	case GDK_F6:
		hildon_banner_show_information(GTK_WIDGET(window), NULL, "Full screen");
		return TRUE;

	case GDK_F7:
		hildon_banner_show_information(GTK_WIDGET(window), NULL, "Increase (zoom in)");
		return TRUE;

	case GDK_F8:
		hildon_banner_show_information(GTK_WIDGET(window), NULL, "Decrease (zoom out)");
		return TRUE;

	case GDK_Escape:
		hildon_banner_show_information(GTK_WIDGET(window), NULL, "Cancel/Close");
		return TRUE;
	}

	return FALSE;
}

gboolean button_press(GtkWidget* widget, GdkEventButton* event, gpointer data) {

	g_print("Hello");
	exit(0);
	return TRUE;
}

